### Hierarchy

- unknown
  - OpenOffer

## Index

### Constructors

- constructor

### Methods

- addScheduledTxHashes
- clearOffer
- clearScheduledTxHashesList
- getAutoSplit
- getOffer
- getReserveTxHash
- getReserveTxHex
- getReserveTxKey
- getScheduledAmount
- getScheduledTxHashesList
- getState
- getTriggerPrice
- hasOffer
- serializeBinary
- setAutoSplit
- setOffer
- setReserveTxHash
- setReserveTxHex
- setReserveTxKey
- setScheduledAmount
- setScheduledTxHashesList
- setState
- setTriggerPrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OpenOffer(): OpenOffer

- Inherited from jspb.Message.constructor

  #### Returns OpenOffer

## Methods

### addScheduledTxHashes

- addScheduledTxHashes(value: string, index?: number): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6548

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns OpenOffer

### clearOffer

- clearOffer(): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6534

  #### Returns OpenOffer

### clearScheduledTxHashesList

- clearScheduledTxHashesList(): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6547

  #### Returns OpenOffer

### getAutoSplit

- getAutoSplit(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6542

  #### Returns boolean

### getOffer

- getOffer(): undefined | Offer

- - Defined in src/protobuf/pb_pb.d.ts:6531

  #### Returns undefined | Offer

### getReserveTxHash

- getReserveTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:6553

  #### Returns string

### getReserveTxHex

- getReserveTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:6556

  #### Returns string

### getReserveTxKey

- getReserveTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:6559

  #### Returns string

### getScheduledAmount

- getScheduledAmount(): string

- - Defined in src/protobuf/pb_pb.d.ts:6550

  #### Returns string

### getScheduledTxHashesList

- getScheduledTxHashesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:6545

  #### Returns string[]

### getState

- getState(): OpenOffer . State

- - Defined in src/protobuf/pb_pb.d.ts:6536

  #### Returns OpenOffer . State

### getTriggerPrice

- getTriggerPrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:6539

  #### Returns number

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6533

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6562

  #### Returns Uint8Array

### setAutoSplit

- setAutoSplit(value: boolean): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6543

  #### Parameters

  - ##### value: boolean

  #### Returns OpenOffer

### setOffer

- setOffer(value?: Offer ): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6532

  #### Parameters

  - ##### Optional value: Offer

  #### Returns OpenOffer

### setReserveTxHash

- setReserveTxHash(value: string): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6554

  #### Parameters

  - ##### value: string

  #### Returns OpenOffer

### setReserveTxHex

- setReserveTxHex(value: string): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6557

  #### Parameters

  - ##### value: string

  #### Returns OpenOffer

### setReserveTxKey

- setReserveTxKey(value: string): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6560

  #### Parameters

  - ##### value: string

  #### Returns OpenOffer

### setScheduledAmount

- setScheduledAmount(value: string): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6551

  #### Parameters

  - ##### value: string

  #### Returns OpenOffer

### setScheduledTxHashesList

- setScheduledTxHashesList(value: string[]): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6546

  #### Parameters

  - ##### value: string[]

  #### Returns OpenOffer

### setState

- setState(value: OpenOffer . State ): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6537

  #### Parameters

  - ##### value: OpenOffer . State

  #### Returns OpenOffer

### setTriggerPrice

- setTriggerPrice(value: number): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6540

  #### Parameters

  - ##### value: number

  #### Returns OpenOffer

### toObject

- toObject(includeInstance?: boolean): OpenOffer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6563

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OpenOffer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6566

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenOffer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenOffer, reader: BinaryReader): OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6567

  #### Parameters

  - ##### message: OpenOffer

  - ##### reader: BinaryReader

  #### Returns OpenOffer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenOffer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6565

  #### Parameters

  - ##### message: OpenOffer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OpenOffer ): OpenOffer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6564

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenOffer

  #### Returns OpenOffer . AsObject

Generated using TypeDoc